.links_table {
    width: 100%;
    border-spacing: 0px;
    margin-top: 20px;
}

.links_table tr td:first-child {
    padding-left: 0px;
    width: 100%;
    text-align: left;
}

.links_table tr:nth-child(odd) > td:last-child {
    padding-right: 0px;
    width: 50%;
    text-align: right;
}

.links_table tr:nth-child(even) > td:first-child {
    height: 30px;
    max-width: 100px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    padding-top: 0px;
    padding-bottom: 5px;
    vertical-align: top;
}

.links_table .tag {
    user-select: all !important;
}


@media (max-width: 499px) {
    .linksTable .filename span:first-of-type {
        max-width: 30vw !important;
    }

    .linksTable tr:nth-child(even) {
        height: 50px !important;
    }

    .linksTable .filename span:first-of-type {
        display: inline !important;
        overflow: visible !important;
        text-overflow: initial !important;
        white-space: normal !important;
        word-break: break-all;
    }
}

.linksTable .filename span:first-of-type {
    max-width: 90%;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    display: inline-block;
    vertical-align: top;
}

.linksTable .filename > a:hover {
    text-decoration: none;
    border-bottom: 1px solid var(--link);
}

.threeDots:before {
    content: '';
    display: inline;
    animation-name: threeDots;
    animation-duration: 0.5s;
    animation-iteration-count: infinite;
}

@keyframes threeDots {
    0% {
        content: ""
    }
    25% {
        content: "•"
    }
    50% {
        content: "• •"
    }
    100% {
        content: "• • •"
    }
}